% Copyright (C) 2008-2010 - Consortium Scilab - Digiteo - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

%
% scilabisnotnaive.tex --
%   Some notes about floating point issues in Scilab.
%
\documentclass[12pt]{article}

\include{macros}

\begin{document}
\author{Michael Baudin}
\date{December 2010}
\title{Scilab is not naive}
\maketitle
\begin{abstract}
Most of the time, the mathematical formula is directly used in the 
Scilab source code. But, in many algorithms, some additional work is 
performed, which takes into account the fact that the computer does not 
process mathematical real values, but performs computations with their 
floating point representation. The goal of this article is to show that, 
in many situations, Scilab is not naive and use algorithms which have been 
specifically tailored for floating point computers. We analyze in this 
article the particular case of the quadratic equation, the complex 
division and the numerical derivatives. In each example, we show that 
the naive algorithm is not sufficiently accurate, while Scilab 
implementation is much more robust. 
\end{abstract}

\tableofcontents

\input{copyright}
%\newpage

\input{introduction}
\input{quadratic}
\input{numericalderivative}
\input{complexdivision}
\input{conclusion}
\input{acknowledgments}

\input{simpleexperiments}

%\input{pythagoreansum}

%% Bibliography


\addcontentsline{toc}{section}{Bibliography}
\bibliographystyle{plain}
\bibliography{scilabisnotnaive}

\addcontentsline{toc}{section}{Index}
\printindex

\end{document}

